module.exports = [{
    type: 'input',
    name: 'name',
    message: 'Name of the Chrome Extension',
    validate: input => !!input,
    group: 'org.vue.st.chrome.basic.group',
    default: 'chrome-extension'
  },
  {
    type: 'input',
    name: 'version',
    message: 'Version for the Chrome Extension',
    validate: input => !!input,
    group: 'org.vue.st.chrome.basic.group',
    default: '0.0.1'
  },
  {
    type: 'input',
    name: 'description',
    message: 'Description for the Chrome Extension',
    validate: input => !!input,
    group: 'org.vue.st.chrome.basic.group',
    default: '__MSG_pluginDesc__'
  },
  {
    type: 'list',
    name: 'script',
    message: 'Vue UI(devtools,newtab,options,popup) use Javascript or Typescript',
    choices: [
      { name: 'Javascript', value: 'js' },
      { name: 'Typescript', value: 'ts' }
    ],
    group: 'org.vue.st.chrome.basic.group',
    default: 'js',
  },
  {
    type: 'confirm',
    name: 'delete',
    message: 'Delete no use files(./src/App.vue,./src/main.js) and dir(./public,./src/assets,./src/components)',
    group: 'org.vue.st.chrome.basic.group',
    default: false
  },
  {
    type: 'confirm',
    name: 'icons',
    message: 'Icons use for icons, browser_action, page_action in manifest.json',
    group: 'org.vue.st.chrome.chrome.group',
    default: false
  },
  {
    when: answers => !answers.event,
    type: 'confirm',
    name: 'background',
    message: 'Background page for background, hot reload, badge, context-menu',
    group: 'org.vue.st.chrome.chrome.group',
    default: false
  },
  {
    when: answers => !answers.background,
    type: 'confirm',
    name: 'event',
    message: 'Background page for event-pages',
    group: 'org.vue.st.chrome.chrome.group',
    default: false
  },
  {
    type: 'confirm',
    name: 'browser',
    message: 'Add browser action for popup',
    group: 'org.vue.st.chrome.chrome.group',
    default: true
  },
  {
    type: 'confirm',
    name: 'page',
    message: 'Add page action for popup',
    group: 'org.vue.st.chrome.chrome.group',
    default: false
  },
  {
    type: 'confirm',
    name: 'content',
    message: 'Add content scripts for injected js',
    group: 'org.vue.st.chrome.chrome.group',
    default: false
  },
  {
    type: 'confirm',
    name: 'permissions',
    message: 'Permissions options(contextMenus, tabs, notifications, webRequest, webRequestBlocking, storage etc.)',
    group: 'org.vue.st.chrome.chrome.group',
    default: false
  },
  {
    type: 'confirm',
    name: 'web',
    message: 'Web accessible resources eg. inject.js',
    group: 'org.vue.st.chrome.chrome.group',
    default: false
  },
  {
    type: 'input',
    name: 'url',
    message: 'Homepage url for author eg. ad url',
    validate: input => !!input,
    group: 'org.vue.st.chrome.chrome.group',
    default: 'https://www.baidu.com'
  },
  {
    type: 'confirm',
    name: 'overrides',
    message: 'Chrome url overrides support newtab for Chrome Browser',
    group: 'org.vue.st.chrome.chrome.group',
    default: false
  },
  {
    type: 'confirm',
    name: 'options',
    message: 'Options page',
    group: 'org.vue.st.chrome.chrome.group',
    default: true
  },
  {
    type: 'confirm',
    name: 'optionsui',
    message: 'Options ui page',
    group: 'org.vue.st.chrome.chrome.group',
    default: false
  },
  {
    type: 'list',
    name: 'lang',
    message: 'Choose the locale you want to load',
    choices: [
      { name: 'zh_CN', value: 'zh_CN' },
      { name: 'en', value: 'en' }
    ],
    group: 'org.vue.st.chrome.chrome.group',
    default: 'zh_CN',
  },
  {
    type: 'confirm',
    name: 'devtools',
    message: 'Add devtools page',
    group: 'org.vue.st.chrome.chrome.group',
    default: false
  },
  {
    type: 'confirm',
    name: 'csp',
    message: 'Content security policy options',
    group: 'org.vue.st.chrome.chrome.group',
    default: true
  },
  {
    when: answers => answers.background,
    type: 'confirm',
    name: 'omnibox',
    message: 'Omnibox search options',
    group: 'org.vue.st.chrome.background.group',
    default: false
  },
  {
    when: answers => answers.background,
    type: 'confirm',
    name: 'reload',
    message: 'Hot reload modifications for nonproduction version',
    group: 'org.vue.st.chrome.background.group',
    default: false
  },
  {
    when: answers => answers.background && answers.permissions,
    type: 'confirm',
    name: 'context',
    message: 'Add context menu items',
    group: 'org.vue.st.chrome.background.group',
    default: false
  },
  {
    when: answers => answers.background && answers.permissions && answers.page,
    type: 'confirm',
    name: 'rules',
    message: 'Add rules options',
    group: 'org.vue.st.chrome.background.group',
    default: false
  },
  {
    when: answers => answers.devtools,
    type: 'confirm',
    name: 'sidebar',
    message: 'Add sidebar options',
    group: 'org.vue.st.chrome.devtools.group',
    default: false
  },
  {
    when: answers => answers.browser || answers.page,
    type: 'confirm',
    name: 'badge',
    message: 'Add badge options',
    group: 'org.vue.st.chrome.popup.group',
    default: false
  },
  {
    when: answers => answers.browser || answers.page,
    type: 'confirm',
    name: 'notification',
    message: 'Add notification options',
    group: 'org.vue.st.chrome.popup.group',
    default: false
  },
  {
    type: 'confirm',
    name: 'element',
    message: 'Add element-ui library',
    group: 'org.vue.st.chrome.extend.group',
    default: false
  },
  {
    type: 'confirm',
    name: 'zip',
    message: 'Add zip dest options',
    group: 'org.vue.st.chrome.extend.group',
    default: false
  }
];